> For the complete documentation index, see [llms.txt](https://docs.visualsentinel.com/llms.txt)

# UpdateServiceDependencyComponentsResponse data model

The UpdateServiceDependencyComponentsResponse shape in the Visual Sentinel REST API.

## Fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `monitorId` | string | No |   |
| `componentIds` | array of string | No |   |
| `monitor` | object | No | The monitor fields written by this save, for immediately updating the client cache. |
| `monitor.url` | string (uri) | Yes |   |
| `monitor.type` | string | Yes | One of: `API`. |
| `monitor.method` | string | Yes | One of: `GET`. |
| `monitor.expectedStatus` | array of integer | Yes |   |
| `monitor.serviceDependencyComponents` | array of string | Yes |   |
| `monitor.apiConfig` | object | Yes |   |
| `mode` | string | No | One of: `provider-status`. |

## Used by

- [Choose the parts a service monitor follows](https://docs.visualsentinel.com/reference/monitors.md#update-service-dependency-components): `PATCH /api/dependencies/{slug}`

Generated from the OpenAPI 3.1 specification at [https://docs.visualsentinel.com/openapi.json](https://docs.visualsentinel.com/openapi.json).
